import { __ } from "./$";
import { DialogConfig } from "./dialog-config";
export declare const displayDialogDef: __.ManagedAsyncFuncDef<"displayDialog", <TDialogOptionsInfo extends {
    [dialogOptionId: string]: {
        label: string;
    };
}>({}: {
    dialogConfig: DialogConfig;
    dialogOptionsInfo: TDialogOptionsInfo;
    dialogDefaultOptionId?: keyof TDialogOptionsInfo & string;
}) => Promise<{
    dialogSelectedOptionId: keyof TDialogOptionsInfo & string;
}>>;
//# sourceMappingURL=display-dialog-def.d.ts.map