"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppBranchUid = void 0;
const _1 = require("./$");
/**
 * @hidden
 *
 */
exports.getAppBranchUid = _1.__.declareManagedFunc()
    .name(`getAppBranchUid`)
    .namespace(_1.$namespace)
    .errorTypes([])
    .sync()
    .execute(({ appBranchId, appBranchProfile, }) => {
    if (appBranchProfile === undefined) {
        return appBranchId;
    }
    return `${appBranchId}@${appBranchProfile}`;
}).getAppBranchUid;
exports.getAppBranchUid.config.isLoggingEnabled = false;
//# sourceMappingURL=get-app-branch-uid.js.map