import { AppBranchFinishedDataTaskInfo } from "./app-branch-finished-data-task-info";
import { AppBranchProcessInfo } from "./app-branch-process-info";
import { AppBranchRootDirState } from "./app-branch-root-dir-state";
export interface AppBranchState {
    id: string;
    profile?: string;
    uid: string;
    rootDir: AppBranchRootDirState;
    /** If not undefined, it means that the app branch is installed. */
    installedVersionId?: number;
    /** If not undefined, it means that the app branch was previously installed. */
    lastInstalledVersionId?: number;
    doesNeedRepairing: boolean;
    /** If not undefined, it means that the app branch ongoing task exists. */
    ongoingTaskId?: number;
    /** If not undefined, it means that the app branch last ongoing task exists. */
    lastOngoingTaskId?: number;
    /** If not undefined, it means that the app branch last ongoing data task exists. */
    lastOngoingDataTaskId?: number;
    lastFinishedDataTaskInfo?: AppBranchFinishedDataTaskInfo;
    /** If not undefined, it means that the app branch process exists. */
    processInfo?: AppBranchProcessInfo;
}
//# sourceMappingURL=app-branch-state.d.ts.map