export type NodeFetchResult = ({
    response: {
        bodyAsText: string;
        ok: boolean;
        redirected: boolean;
        status: number;
        statusText: string;
        url: string;
    };
    error: undefined;
} | {
    response: undefined;
    error: {
        name?: string;
        message?: string;
        type?: string;
    };
});
//# sourceMappingURL=node-fetch-result.d.ts.map